=== debian/changelog ===
ros-humble-laser-geometry (2.4.0-2jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#86 <https://github.com/ros-perception/laser_geometry/issues/86>)
  * Explicit cast to double to prevent loss of precision
  * Fix Duration casting issue leading to no undistortion
  * Contributors: Jonathan Binney, Marco Lampacrescia, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 01 Mar 2022 08:00:00 -0000

ros-humble-laser-geometry (2.3.0-2jammy) jammy; urgency=high

  * Fix building on running on Windows Debug (#82 <https://github.com/ros-perception/laser_geometry/issues/82>)
  * Update python code and tests for ros2 (#80 <https://github.com/ros-perception/laser_geometry/issues/80>)
  * Contributors: Chris Lalancette, Jonathan Binney

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-humble-laser-geometry (2.2.2-2jammy) jammy; urgency=high

  * Export sensor_msgs, tf2, and rclcpp as dependencies
  * Contributors: Mabel Zhang, Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 11 May 2021 07:00:00 -0000

ros-humble-laser-geometry (2.2.1-2jammy) jammy; urgency=high

  * Use rclcpp::Duration::from_seconds (#72 <https://github.com/ros-perception/laser_geometry/issues/72>)
  * update maintainers
  * increase test timeout
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jonathan Binney, Mabel Zhang

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-humble-laser-geometry (2.2.0-2jammy) jammy; urgency=high

  * use ament_export_targets()
  * code style only: wrap after open parenthesis if not in one line (#52 <https://github.com/ros-perception/laser_geometry/issues/52>)
  * use target_include_directories
  * Drop CMake extras redundant with eigen3_cmake_module. (#50 <https://github.com/ros-perception/laser_geometry/issues/50>)
  * Contributors: Dirk Thomas, Jonathan Binney, Karsten Knese, Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-humble-laser-geometry (2.1.0-2jammy) jammy; urgency=high

  * Merge pull request #46 <https://github.com/ros-perception/laser_geometry/issues/46> from sloretz/eigen3_cmake_module
  * Contributors: Jonathan Binney, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-humble-laser-geometry (2.0.0-2jammy) jammy; urgency=high

  * Removed the ``angle`` dependency as no longer necessary.
  * Updated to build statically but use position independent code.
  * Updated to compile, and to remove PointCloud support, and remove boost.
  * Added visibility headers modified from ``rclcpp``.
  * Updated ``laser_geometry`` to build for ros2 (and on Windows 10).
  * Improved use of numpy. (#14 <https://github.com/ros-perception/laser_geometry/issues/14>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Brian Fjeldstad, Eric Wieser, Jon Binney, Jonathan Binney, Martin Idel, Mikael Arguedas, Vincent Rabaud, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-humble-laser-geometry (1.6.4-2jammy) jammy; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 May 2015 07:00:00 -0000

ros-humble-laser-geometry (1.6.3-2jammy) jammy; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 07 Mar 2015 08:00:00 -0000

ros-humble-laser-geometry (1.6.2-2jammy) jammy; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 08 Jun 2014 07:00:00 -0000

ros-humble-laser-geometry (1.6.1-2jammy) jammy; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 23 Feb 2014 08:00:00 -0000

ros-humble-laser-geometry (1.6.0-2jammy) jammy; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-humble-laser-geometry (1.5.15-2jammy) jammy; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Dec 2013 08:00:00 -0000

ros-humble-laser-geometry (1.5.14-2jammy) jammy; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Nov 2013 08:00:00 -0000

ros-humble-laser-geometry (1.5.13-2jammy) jammy; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 06 Oct 2013 07:00:00 -0000

ros-humble-laser-geometry (1.5.12-2jammy) jammy; urgency=high

  * fix case of Eigen find_package name

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 14 Sep 2013 07:00:00 -0000

ros-humble-laser-geometry (1.5.11-2jammy) jammy; urgency=high

  * added missing run deps

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jul 2013 07:00:00 -0000

ros-humble-laser-geometry (1.5.10-2jammy) jammy; urgency=high

  * [bugfix] export boost and eigen via DEPENDS

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 28 Jun 2013 22:09:00 -0000

ros-humble-laser-geometry (1.5.9-2jammy) jammy; urgency=high

  * [bugfix] export boost and eigen include dirs

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 28 Jun 2013 18:38:00 -0000

ros-humble-laser-geometry (1.5.8-2jammy) jammy; urgency=high

  * Added buildtool_depend on catkin

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 Dec 2012 21:54:00 -0000

ros-humble-laser-geometry (1.5.7-2jammy) jammy; urgency=high


