=== debian/control ===
Source: ros-humble-laser-geometry
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-eigen3-cmake-module, ros-humble-python-cmake-module <!nocheck>, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/laser_geometry
Standards-Version: 3.9.2

Package: ros-humble-laser-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-numpy, ros-humble-eigen3-cmake-module, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-sensor-msgs-py, ros-humble-tf2, ros-humble-ros-workspace
Description: This package contains a class for converting from a 2D laser scan as defined by sensor_msgs/LaserScan into a point cloud as defined by sensor_msgs/PointCloud or sensor_msgs/PointCloud2.
 In particular, it contains functionality to account for the skew resulting from moving robots or tilting laser scanners.
